Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157711 - gdmgreeter spamming syslog
Summary: gdmgreeter spamming syslog
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: FC4Blocker
TreeView+ depends on / blocked
 
Reported: 2005-05-13 23:12 UTC by Jack Spaar
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-19 18:00:50 UTC


Attachments (Terms of Use)

Description Jack Spaar 2005-05-13 23:12:19 UTC
Description of problem:
gdmgreeter is dumping debug-style messages to syslog, despite 
debug=false in /etc/X11/gdm/gdm.conf

Version-Release number of selected component (if applicable):
gdm-2.6.0.8-12

How reproducible:
always

Steps to Reproduce:
1. Login at gdmgreeter
2.
3.
  
Actual results:
/var/log/messages contains stuff like:
May  8 18:12:30 localhost gdmgreeter[2817]: args for opcode '#' are ''
May  8 18:12:30 localhost gdmgreeter[2817]: processed 1 messages
May  8 18:12:30 localhost gdmgreeter[2817]: args for opcode 'l' are ''
May  8 18:12:30 localhost gdmgreeter[2817]: processed 1 messages
May  8 18:12:30 localhost gdmgreeter[2817]: args for opcode 'D' are 'Please
enter your username'
May  8 18:12:30 localhost gdmgreeter[2817]: processed 1 messages
May  8 18:12:30 localhost gdmgreeter[2817]: args for opcode 'N' are 'Username:'
May  8 18:12:30 localhost gdmgreeter[2817]: processed 1 messages
May  8 18:13:26 localhost gdmgreeter[2817]: args for opcode 'D' are ''
May  8 18:13:26 localhost gdmgreeter[2817]: processed 1 messages
May  8 18:13:26 localhost gdmgreeter[2817]: args for opcode 'l' are 'myusername'
May  8 18:13:26 localhost gdmgreeter[2817]: processed 1 messages
May  8 18:13:26 localhost gdmgreeter[2817]: args for opcode 'U' are 'Password:'
May  8 18:13:26 localhost gdmgreeter[2817]: processed 1 messages
May  8 18:13:27 localhost gdmgreeter[2817]: args for opcode 'D' are ''
May  8 18:13:27 localhost gdmgreeter[2817]: processed 1 messages
May  8 18:13:27 localhost gdmgreeter[2817]: args for opcode 'e' are ''
May  8 18:13:27 localhost gdmgreeter[2817]: processed 1 messages
May  8 18:13:27 localhost gdmgreeter[2817]: args for opcode 'l' are 'myusername'
May  8 18:13:27 localhost gdmgreeter[2817]: processed 1 messages
May  8 18:13:28 localhost gdmgreeter[2817]: args for opcode 'G' are 'default.des

Expected results:


Additional info:
gdm.conf is pretty vanilla, and contains by default:
[debug]
# This will enable debugging into the syslog, usually not neccessary
# and it creates a LOT of spew of random stuff to the syslog.  However it
# can be useful in determining when something is going very wrong.
Enable=false

Comment 1 Ray Strode [halfline] 2005-05-19 18:00:50 UTC
should be fixed in tomorrow's rawhide.


Note You need to log in before you can comment on or make changes to this bug.